=== debian/changelog ===
gdb (7.7.1-2) unstable; urgency=medium

  [ Samuel Bronson ]
  * Don't require Java stuff just to gather test results we don't look at.
  * Disable babeltrace; it doesn't build everywhere.
    Thanks to Julien Cristau for the heads up.
  * Go back to python2; it's causing people trouble and doko never
    actually explained the need.
    Thanks to Ben Longbons for the report and Jakub Wilk for corroborating it.
    (Closes: #748711, Reopens: #727003)

 -- Hector Oron <zumbi@debian.org>  Wed, 18 Jun 2014 01:42:25 +0200

gdb (7.7.1-1) unstable; urgency=medium

  [ Samuel Bronson ]
  * Switch to .xz for our ".orig" tarballs
  * Imported Upstream version 7.7
    - GDB 7.7 brings new targets, features and improvements, including:
      * C++:
        ** GDB now implements the 'typeid' operator.
        ** Exception Catchpoints can now filter by type.
      * Python scripting:
        ** Frame filters and frame decorators have been added.
        ** Temporary breakpoints are now supported.
        ** Line tables representation has been added.
        ** New attribute 'parent_type' for gdb.Field objects.
        ** gdb.Field objects can be used as subscripts on gdb.Value objects.
        ** New attribute 'name' for gdb.Type objects.
      * New commands:
        ** show configuration
        ** catch rethrow
        ** info exceptions [REGEXP]
        ** remove-symbol-file [FILENAME | -a ADDRESS]
        ** maint check-psymtabs
        ** maint check-symtabs
        ** maint expand-symtabs
        ** maint set|show per-command [space | time | symtab]
      * New options:
        ** set|show debug symfile off|on
        ** set|show print raw frame-arguments
        ** set|show remote trace-status-packet
        ** set|show debug nios2
        ** set|show range-stepping
        ** set|show startup-with-shell
        ** set|show code-cache
        For all options that interpret 0 or -1 as meaning "unlimited",
        the literal 'unlimited' can ot be used.
      * New convenience variables/functions:
        ** $_exception
        ** $_exitsignal
        ** $_isvoid
      * GDB/MI:
        ** All MI commands now accept an optional "--language" option.
        ** "undefined-command" error code provided in "^error" result
           records when trying to run a non-existing command.
        ** New commands -catch-assert and -catch-exceptions
        ** New command -info-ada-exceptions
        ** New command -info-gdb-mi-command
        ** New command -dprintf-insert
        ** New command -trace-frame-collected
        ** -trace-save CTF (Common Trace Format) support.
        ** -data-list-register-values, -stack-list-locals, -stack-list-arguments
           and -stack-list-variables optional "--skip-unavailable" option.
        ** -exec-run optional "--start" option.
      * Remote Protocol:
        ** Target-assigned range stepping support.
           GDBserver implements this feature on x86/x86_64 GNU/Linux targets.
        ** vCont new 'r' action.
        ** qXfer:libraries-svr4:read's annex used to pass argument list.
      * New target configurations:
        ** Nios II ELF                     nios2*-*-elf
        ** Nios II GNU/Linux               nios2*-*-linux
        ** Texas Instruments MSP430        msp430*-*-elf
      * GDB Windows x64 unwinding data support.
      * SystemTap SDT probes support on AArch64 GNU/Linux.
      * The 'tsave' command now supports CTF (Common Trace Format).
      * New script gcore, installed in $prefix/bin
      * New script contrib/gdb-add-index.sh for adding .gdb_index sections
        to binaries.
      * Improve arm*-linux record/replay support.
      * Removed support for a.out NetBSD and OpenBSD obsolete configurations.
        ELF variants of these configurations are kept supported.
      * The "set|show remotebaud" commands are deprecated. Use "show|show serial
        baud" instead.
    - For a complete list and more details on each item, please see the
      NEWS file.
  * Update patches for new upstream version:
    - Drop man-page-args.patch and man-page-order.patch:
      Manpages are dead to us now (not DFSG free), and the source is in
      texinfo now anyway.
    - Drop upstream-arm-catch-syscall.patch and
      upstream-print_insn_rl78-workaround.patch:
      Already applied upstream.
    - Update linuxthreads_signal_handling.patch and
      gdb-6.5-bz185337-resolve-tls-without-debuginfo-v2.patch
  * d/gdb-minimal.manpages: Remove because manpages are dead to us
  * d/rules:
    - Update for the new release.
      * Don't expect all tests to pass, they never do.
        ("make check" finally stopped lying?)
      * Adjust for "gcore" getting its source renamed and getting installed
    - Other improvements
      * Install contrib/ in /usr/share/doc/gdb/
      * Carry over more configure flags to secondary packages, so
        e.g. gdb-multiarch can find it's message catalogs
    - Nitpicks:
      * Replace a $(findstring ...) call with $(filter ...)
        (It's probably not all that likely that DEB_BUILD_OPTIONS would contain
        an item with nocheck as a substring, but still ...)
      * Use --disable-readline; we have our own ...
  * d/control:
    - Update Vcs-Git/Vcs-Browser URLs

  [ Héctor Orón Martínez ]
  * d/control.in, d/rules: add gdb-dbg package.
    (closes: #696197)
  * d/control.in: update Vcs-* references
  * d/control.in: bump standards version, no changes required
  * d/compat, d/control.in: bump dh compat to 9 to get build-id based
    debug info paths
  * d/p/ppc64le.diff: apply upstream patch for ppc64le support
  * d/control.in: add ppc64el architecture
    - Thanks Frédéric Bonnard for report
    (closes: #744204)
  * d/control.in: gdb-minimal provides gdb
    (closes: #588775)
  * d/control.in: gdb recommends gdbserver
    (closes: #675623)
  * Fix gdb: confusing error message "$HOME/pid: No such file or directory"
    (closes: #712671)
  * d/p/gdb-glibc-vdso-workaround.patch:

