=== debian/watch ===
# See uscan(1) for format
version=3
opts=pgpsigurlmangle=s/$/.sig/ http://ftp.gnu.org/gnu/gdb/gdb-(.*)\.tar\.bz2
