## gdb 7.7.1+dfsg

=== debian/changelog ===
gdb (7.7.1+dfsg-3) unstable; urgency=medium

  * d/p/restore-run.1.patch: Temporary patch to fix sim FTBFS.
    Turns out that without sim/common/run.1, sim fails to build.
    This doesn't have any cover texts or invariant sections,
    so in this patch we simply add it back.
    (It turns out that sim doesn't support x86.)
  * d/sanitize-gdb.sh: In future, only strip manpages from gdb/ subtree.
  * d/NEWS: Add warning about impending switch to Python 3

 -- Samuel Bronson <naesten@gmail.com>  Thu, 14 Aug 2014 18:16:50 -0400

gdb (7.7.1+dfsg-2) unstable; urgency=medium

  * Fix FTBFS on non-x86 trying to install unbuilt libinproctrace.so

 -- Samuel Bronson <naesten@gmail.com>  Tue, 12 Aug 2014 16:21:03 -0400

gdb (7.7.1+dfsg-1) unstable; urgency=medium

  [ Héctor Orón Martínez ]
  * d/changelog: replace nickname by real name in previous block

  [ Gabriele Giacone ]
  * Fix FTBFS on Hurd.
    + Cherry-pick from upstream:
      hurd-new-RPC-reply-stub-functions.patch
      hurd-adapt-to-changed-MIG-output.patch
      hurd-adjust-to-startup-with-shell-changes.patch
      hurd-make-MIG-output-parsing-more-robust.patch
    (Closes: #752574)

  [ Samuel Bronson ]
  * Ship /usr/lib/libinproctrace.so with gdbserver.
    This enables the "agent" features.
  * d/copyright: correct a licensecheck error; add required license texts/blurbs
  * d/gdb.install: Include gcore in gdb package (Closes: #752317).
    Thanks to Lorenzo Beretta for the report.
  * New patch to fix the build on kFreeBSD.
    Thanks to Steven Chamberlain for a fix (Closes: #752390, #752295).
  * d/watch: Update to be more flexible about upstream tarball format.

  Last but not least,
  * Use correct tarball, with non-free upstream manpages stripped.
    Restores DFSG-compliance.

  [ Hector Oron ]
  * Rename upstream tarball to not conflict with the one in archive.

 -- Samuel Bronson <naesten@gmail.com>  Sat, 09 Aug 2014 13:11:35 -0400
