## gdb 7.8

=== debian/changelog ===
gdb (7.8-1ubuntu4) utopic; urgency=medium

  * Make gdb Multi-Arch: allowed again.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 09 Oct 2014 08:23:49 +0200

gdb (7.8-1ubuntu3) utopic; urgency=medium

  * Add build dependencies for the gdb-doc package.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 07 Oct 2014 18:20:50 +0200

gdb (7.8-1ubuntu2) utopic; urgency=medium

  * Drop build dependency on gccgo (universe).

 -- Matthias Klose <doko@ubuntu.com>  Tue, 07 Oct 2014 17:48:27 +0200

gdb (7.8-1ubuntu1) utopic; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from the upstream sources.
    - Build the gdb-doc package.
    - Include the man pages in the gdb package.
    - Build-depend on gcj-jdk.
    - Drop build dependency on python-dev.
    - Additional patches branch-updates, gdb-strings, ptrace-error-verbosity,
      ppc64el-gdbserver, ppc64el-attach-jvm.
  * Don't build a gdb-python2 package.
  * Configure with babeltrace on ppc64 and ppc64el.
  * gdb: Add a replaces to gdb-doc, which used to ship the manual pages.
    LP: #1370690.
  * Build-depend on gccgo to run the Go tests during the build.
  * Again, stop building the gdb-minimal package, not used anymore on any
    image.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 07 Oct 2014 13:04:14 +0200

gdb (7.8-1) experimental; urgency=medium

  [ Samuel Bronson ]
  * d/sanitize-gdb.sh: Don't assume input is .tar.bz2
  * Imported Upstream version 7.8
    - GDB 7.8 brings new targets, features and improvements, including:
      * Guile scripting support. [Not enabled for Debian!]
      * Python scripting enhancements.
      * New commands:
        ** guile
        ** guile-repl
        ** info auto-load guile-scripts [REGEXP]
      * New options:
        ** maint ada set ignore-descriptive-types (on|off)
        ** maint set target-async (on|off)
        ** set|show auto-load guile-scripts (on|off)
        ** set|show auto-connect-native-target
        ** set|show guile print-stack (none|message|full)
        ** set|show mi-async (on|off)
        ** set|show print symbol-loading (off|brief|full)
        ** set|show record btrace replay-memory-access (read-only|read-write)
      * Deprecated commands:
        ** "dll-symbols" and its two aliases ("add-shared-symbol-files" and
           "assf"). Use the "sharedlibrary" command instead.
        ** "set|show remotebaud". Use "set|show serial baud" instead.
      * Remote Protocol:
        ** The qXfer:btrace:read packet supports a new annex 'delta'.
      * GDB/MI:
        ** A new option "-gdb-set mi-async" replaces "-gdb-set target-async".
      * New target configurations:
        ** PowerPC64 GNU/Linux little-endian       powerpc64le-*-linux*
      * btrace enhancements:
         ** The btrace record target now supports the 'record goto' command.
         ** The btrace record target supports limited reverse execution and
            replay.
      * ISO C99 variable length automatic arrays support.
      * It is no longer required to "set target-async on" in order to use
        background execution commands (e.g., "c&", "s&", etc.).
      * "catch syscall" now implemented on s390*-linux* targets.
      * The "compare-sections" command now works on all targets.
      * The "target native" command now connects to the native target, and
        can be used to launch native programs, even if "set
        auto-connect-native-target" is set to off.
  * debian/patches: Update for new upstream version
    - Remove patches subsumed by new upstream version/tarball:
      + ppc64le.diff
      + hurd-new-RPC-reply-stub-functions.patch
      + hurd-adapt-to-changed-MIG-output.patch
      + hurd-adjust-to-startup-with-shell-changes.patch
      + hurd-make-MIG-output-parsing-more-robust.patch
      + kfreebsd_bug752390.diff
      + restore-run.1.patch
    - Adjust patches to work with new upstream version:
      + gdb-fortran-main.patch: Update for upstream changes
      + python-config.patch: Remove parts applied upstream

  [ Héctor Orón Martínez ]
  * Switch gdb to python3 (Closes: #752581)
    + Add gdb-python2 package for use with python2-only scripts
  * Enable babeltrace on supported arches

  [ Samuel Bronson ]
  * Make gdb-python2 provide gdb.
  * Totally rewrite the NEWS entry about the Python changes.
    + And split out most of the new text to README.python_switch.

 -- Samuel Bronson <naesten@gmail.com>  Tue, 26 Aug 2014 15:34:03 -0400

gdb (7.8-0ubuntu2) utopic; urgency=medium

  * Update gdb from the 7.8 release branch.
    - Fix regression for Linux vDSO in GDB (PR gdb/17407).
    - Fix regression, GDB stopped on run with attached process (PR gdb/17347).
    - Fix PR guile/17367, PR guile/17247.
    - Fix crash on Python frame filters with unreadable arg.
    - Fix xmethod Python so that it works with Python3.
    - Fix 'gcore' with exited threads.
    - Fix Fix build/17104, build configured with --with-babeltrace.
    - Aarch64: Make CPSR a 32-bit register again in the target description.
  * Build-depend on binutils 2.24.51.20141001 for running the tests.
    LP: #1365664.
  * Fix gdbserver conditionals on ppc64le. LP: #1367832.
  * Fix attaching to a java process on ppc64el.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 01 Oct 2014 22:41:51 +0200

gdb (7.8-0ubuntu1) utopic; urgency=medium

  * gdb-7.8 release.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 31 Jul 2014 21:54:05 +0200

gdb (7.7.91.20140723-0ubuntu1) utopic; urgency=medium

  * Snapshot, taken from the 7.8 branch.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 23 Jul 2014 16:01:10 +0200

gdb (7.7.1-0ubuntu5) utopic; urgency=medium

  * Fix regression introduced in previous upload, again supporting
    powerpc64le in the multilib build. LP: #1233185.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 23 Jul 2014 15:19:13 +0200

gdb (7.7.1-0ubuntu4) utopic; urgency=medium

  [ Martin Pitt ]
  * debian/rules: Revert configuring with "MULTIARCH_TARGET=all" and go back

