=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: gdb
-Maintainer: Héctor Orón Martínez <zumbi@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Héctor Orón Martínez <zumbi@debian.org>
 Uploaders: Luca Bruno <lucab@debian.org>, Samuel Bronson <naesten@gmail.com>
 Section: devel
 Priority: optional
@@ -19,9 +20,9 @@
                flex | flex-old,
                procps,
                g++-multilib [i386 powerpc s390 sparc],
-# Do we really care that much about running the Java tests?
-#               gcj-jdk | gcj,
+               gcj-jdk,
                gobjc,
+#               gccgo,
                mig [hurd-any],
 # TeX[info] deps
                texinfo (>= 4.7-2.2),
@@ -32,47 +33,33 @@
                libreadline-dev, lib64readline6-dev [i386 powerpc s390 sparc],
                zlib1g-dev,
                liblzma-dev,
-# babeltrace doesn't build for hurd yet :-(
-#               libbabeltrace-dev,
-#               libbabeltrace-ctf-dev,
-               python-dev,
+               libbabeltrace-dev [amd64 armel armhf i386 kfreebsd-amd64 kfreebsd-i386 mips mipsel powerpc ppc64 ppc64el s390x],
+               libbabeltrace-ctf-dev [amd64 armel armhf i386 kfreebsd-amd64 kfreebsd-i386 mips mipsel powerpc ppc64 ppc64el s390x],
+               python3-dev,
                libkvm-dev [kfreebsd-any],
                libunwind7-dev [ia64],
+# gdb-doc
+               texlive-latex-base, texlive-fonts-recommended, cm-super,
 Vcs-Git: git://anonscm.debian.org/pkg-gdb/gdb.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-gdb/gdb.git
 Homepage: http://www.gnu.org/s/gdb/
 
 Package: gdb
 Architecture: any
+Multi-Arch: allowed
 Depends: ${misc:Depends},
          ${shlibs:Depends}
 Recommends: libc-dbg,
             gdbserver [amd64 armel armhf arm64 i386 ia64 m32r m68k mips mipsel powerpc powerpcspe ppc64 ppc64el s390 s390x x32]
 Suggests: gdb-doc
 Conflicts: gdb
-Replaces: gdb
+Replaces: gdb, gdb-doc (<< 7.8-1~)
 Description: GNU Debugger
  GDB is a source-level debugger, capable of breaking programs at
  any specific line, displaying variable values, and determining
  where errors occurred. Currently, gdb supports C, C++, D,
  Objective-C, Fortran, Java, OpenCL C, Pascal, assembly, Modula-2,
  Go, and Ada. A must-have for any serious programmer.
-
-Package: gdb-minimal
-Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}
-Provides: gdb
-Conflicts: gdb
-Replaces: gdb
-Description: GNU Debugger (minimal version)
- GDB is a source-level debugger, capable of breaking programs at
- any specific line, displaying variable values, and determining
- where errors occurred. Currently, gdb supports C, C++, D,
- Objective-C, Fortran, Java, OpenCL C, Pascal, assembly, Modula-2,
- Go, and Ada. A must-have for any serious programmer.
- .
- This package contains a minimal version of GDB with optional features
- disabled.
 
 Package: gdb64
 Architecture: i386 powerpc s390 sparc
@@ -132,7 +119,7 @@
 Section: debug
 Priority: extra
 Architecture: any
-Depends: ${misc:Depends}
+Depends: gdb (= ${binary:Version}), ${misc:Depends}
 Description: GNU Debugger (debug package)
  GDB is a source-level debugger, capable of breaking programs at
  any specific line, displaying variable values, and determining
@@ -142,3 +129,18 @@
  .
  This package contains the detached debugging symbols for the GNU
  GDB.
+
+Package: gdb-doc
+Architecture: all
+Section: doc
+Depends: ${misc:Depends}
+Breaks: gdb (<< 7.8), gdbserver (<< 7.8)
+Replaces: gdb (<< 7.8), gdbserver (<< 7.8)
+Description: The GNU Debugger Documentation
+ GDB is a source-level debugger, capable of breaking programs at
+ any specific line, displaying variable values, and determining
+ where errors occurred. Currently, it works for C, C++, Fortran,
+ Modula 2 and Java programs. A must-have for any serious
+ programmer.
+ .
+ This package contains the GDB manual.
