=== debian/rules ===
--- 
+++ 
@@ -108,6 +108,10 @@
   arch_config_args := --with-libunwind-ia64
 endif
 
+ifneq (,$(filter $(DEB_HOST_ARCH),amd64 armel armhf i386 kfreebsd-amd64 kfreebsd-i386 mips mipsel powerpc s390x))
+  arch_config_args += --with-babeltrace
+endif
+
 ifdef GDB_TARGET
   run_tests := no
 
@@ -129,19 +133,17 @@
 	--srcdir=$(shell pwd) \
 	--disable-readline --with-system-readline --with-expat \
 	--without-zlib --without-lzma \
-	--without-guile \
+	--without-guile --without-babeltrace \
 	$(arch_config_args) --build=$(DEB_BUILD_GNU_TYPE)
 
 # Debian does not include 64-bit Python packages, so --with-python
 # is here rather than in EXTRA_FLAGS.
 DEB_CONFIGURE_EXTRA_FLAGS := --host=$(DEB_HOST_GNU_TYPE) $(EXTRA_FLAGS) \
-	--enable-tui --with-python=python2 --without-babeltrace \
-	--with-zlib --with-lzma
-# --with-babeltrace
+	--enable-tui --with-zlib --with-lzma --with-python=python3
 
 # 64-bit flags
 DEB_CONFIGURE_FLAGS_64 := --host=$(HOST64) $(EXTRA_FLAGS) \
-	--enable-tui
+	--enable-tui --without-babeltrace
 
 # multiarch targets; this is taken from the binutils-multiarch package but
 # doesn't seem like a terribly nice list; see
@@ -163,7 +165,8 @@
 	mips64el-linux-gnu \
 	powerpc-linux-gnu \
 	powerpc-linux-gnuspe \
-	ppc64-linux-gnu \
+	powerpc64le-linux-gnu \
+	powerpc64-linux-gnu \
 	s390-linux-gnu \
 	s390x-linux-gnu \
 	sh-linux-gnu \
@@ -171,8 +174,7 @@
 	sparc-linux-gnu \
 	sparc64-linux-gnu \
 	x86_64-linux-gnu \
-	m32r-linux-gnu \
-	spu
+	m32r-linux-gnu
 
 # broken, see https://launchpad.net/bugs/1233185
 #MULTIARCH_TARGETS := all
@@ -204,6 +206,9 @@
 	$(MAKE) -C $(DEB_BUILDDIR) info
 	$(MAKE) -C $(DEB_BUILDDIR)/gdb/doc refcard.dvi refcard.ps
 
+build/gdb-doc:: check-stamp
+	$(MAKE) -C $(DEB_BUILDDIR)/gdb/doc pdf html
+
 build/gdb64:: build64-stamp
 build64-stamp:
 	mkdir -p $(BUILDDIR64)
@@ -249,10 +254,3 @@
 
 	# Prevent gratuitous rebuilds of the BFD documentation, since it
 	# updates the copy in the source directory.
-	find bfd -name bfd.info\* | xargs --no-run-if-empty touch
-
-binary-post-install/gdb$(TS) ::
-	if [ -x debian/tmp/usr/bin/run ]; then				\
-		mv debian/tmp/usr/bin/run					\
-		  debian/gdb$(TS)/usr/bin/$(DEB_TARGET_ALIAS)-run;		\
-		mv debian/tmp/usr/share/man/man1/run.1			\
